/*--------------------------------- Responsive Media Quaries -----------------------------*/

@media only screen and (min-width: 1200px) {
}

/* Medium Device = 1200px */

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    /* Header */
    .header-icon-2 {
        display: none;
    }
    .categories__text h2 {
        font-size: 26px;
    }
    .header__menu ul li {
        margin-right: 38px;
    }
    /* Main Content */
    main {
        padding-top: 130px;
    }
    h2 {
        font-size: 2rem;
    }
    h5 {
        font-size: 15px;
    }
    .hero__text h2 {
        font-size: 2rem;
        margin-bottom: 15px;
    }
    .hero__text p {
        font-size: 15px;
        margin-bottom: 15px;
    }
    .hero__slider.owl-carousel .owl-nav button {
        left: -18px;
    }
    .hero__slider.owl-carousel .owl-nav button.owl-next {
        right: -18px;
    }
    .category-container {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        margin: 50px 0px;
    }
    .category-card {
        height: 100px;
    }
    .offers {
        margin: 75px 0px;
    }
    .offer-container {
        margin-top: 25px;
    }
    .offer-card {
        padding: 50px 25px;
    }
    .product h2 {
        margin-bottom: 25px;
    }
    .product__item__pic {
        width: 50%;
        height: 150px;
    }
    .product__item__text {
        padding-top: 10px;
    }
    .product__item:hover .product__item__pic .product__hover {
        right: -65px;
    }
    .filter__controls {
        margin-bottom: 25px;
    }
    .filter__controls li {
        font-size: 10px;
    }
    .spad {
        padding-top: 50px;
        padding-bottom: 50px;
    }
    .bundle-product__item__text h5 {
        font-size: 25px;
        margin-bottom: 20px;
    }
    .testimonial__text {
        padding: 130px 45px 175px;
    }
    /* Contact */
    .contact {
        margin: 75px 0px;
    }
    /* Blog */
    .blog {
        margin: 75px 0px;
    }
    /* Blog Details */
    .blog-details {
        margin: 75px 0px;
    }
    /* Product */
    .product__details__tab {
        padding-top: 75px;
    }
    /* Checkout */
    .checkout {
        margin: 75px 0px;
    }
    /* Account */
    .account {
        margin: 75px 0px;
    }
    /* CTA */
    .cta-card {
        padding: 25px 25px;
    }
    .cta-card h2 {
        font-size: 18px;
    }
    .cta-card.cta-card--first p {
        font-size: 15px;
        margin-bottom: 0px;
    }
    .cta-card.cta-card--second p {
        font-size: 15px;
        margin-bottom: 0px;
    }
    .question-link {
        font-size: 15px;
    }
    .cta-button {
        font-size: 15px;
        padding: 5px 10px;
    }
    .cta-card svg {
        width: 30px;
        height: 30px;
    }
    /* sign */
    .sign-form {
        padding: 5rem 5rem;
    }
    .sign-logo {
        width: 100px;
    }
    /* 404 */
    .error-section {
        margin: 75px 0;
    }
    /* Footer */
}

/* Tablet Device = 768px */

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .primary-btn {
        font-size: 10px;
    }

    .secondary-btn {
        font-size: 10px;
    }

    .site-btn {
        font-size: 10px;
    }
    /* Header */
    .desktop-header {
        display: none;
    }
    .phone-num {
        display: none;
    }
    .main-content {
        margin: 0px 10px 0px 10px;
    }
    .header__menu ul li {
        margin-right: 10px;
    }
    .header__nav__option a {
        margin-right: 10px;
    }
    .header__nav__option .price {
        margin-left: 0;
    }
    /* Home */
    main {
        padding-top: 130px;
    }
    h2 {
        font-size: 25px;
    }
    h5 {
        font-size: 15px;
    }
    .hero__text h2 {
        font-size: 25px;
        margin-bottom: 15px;
    }
    .hero__text p {
        font-size: 12px;
        margin-bottom: 15px;
    }
    .hero__slider.owl-carousel .owl-nav button {
        font-size: 30px;
        left: -15px;
    }
    .hero__slider.owl-carousel .owl-nav button.owl-next {
        right: -15px;
    }
    .category-container {
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
        margin: 50px 0px;
    }
    .category-card {
        height: 100px;
    }
    .offers {
        margin: 75px 0px;
    }
    .offer-container {
        margin-top: 25px;
    }
    .offer-card {
        padding: 25px 25px;
    }
    .product h2 {
        margin-bottom: 25px;
    }
    .product__item__pic {
        width: 50%;
        height: 150px;
    }
    .product__item__text {
        padding-top: 10px;
    }
    .product__item:hover .product__item__pic .product__hover {
        right: -65px;
    }
    .filter__controls {
        margin-bottom: 25px;
    }
    .filter__controls li {
        font-size: 10px;
        margin-right: 5px;
        padding: 6px 12px;
    }
    .spad {
        padding-top: 50px;
        padding-bottom: 50px;
    }
    .bundle-product__item__text h5 {
        font-size: 25px;
        margin-bottom: 20px;
    }
    /* About */
    .about {
        margin: 75px 0px;
    }
    /* Contact */
    .contact {
        margin: 75px 0px;
    }
    /* Blog */
    .blog {
        margin: 75px 0px;
    }
    /* Blog Details */
    .blog-details {
        margin: 75px 0px;
    }
    /* Product */
    .product__details__tab {
        padding-top: 75px;
    }
    /* Checkout */
    .checkout {
        margin: 75px 0px;
    }
    /* Account */
    .account {
        margin: 75px 0px;
    }
    .form-control {
        color: #a6a6a6;
        font-size: 14px;
        background-color: #f8f8f8;
        border: 1px solid #9a9a9a;
        padding: 7px 15px;
    }
    /* CTA */
    .cta-card {
        padding: 15px 15px;
    }
    .cta-card h2 {
        font-size: 18px;
    }
    .cta-card.cta-card--first p {
        font-size: 12px;
        margin-bottom: 0px;
    }
    .cta-card.cta-card--second p {
        font-size: 12px;
        margin-bottom: 0px;
    }
    .question-link {
        font-size: 12px;
    }
    .cta-button {
        font-size: 12px;
        padding: 5px 10px;
    }
    .cta-card svg {
        width: 25px;
        height: 25px;
    }
    /* sign */
    .sign-form {
        padding: 5rem 2rem;
    }
    .sign-logo {
        width: 75px;
    }
    /* 404 */
    .error-section {
        margin: 75px 0;
    }
    /* Footer */
}

/* Wide Mobile = 480px */

@media only screen and (max-width: 767px) {
    .desktop-header {
        display: none;
    }
    .top-bar-text {
        display: none;
    }
    .btn-heart {
        display: none;
    }
    .filter__controls {
        text-align: left;
        padding: 0px;
    }
    .filter__controls li {
        margin-bottom: 10px;
    }
    .product__item__pic {
        width: 50%;
        height: 200px;
    }
    .main-content {
        margin: 0px 10px 0px 10px;
    }
    .canvas__open {
        display: block;
        font-size: 22px;
        color: #111111;
        height: 35px;
        width: 35px;
        line-height: 35px;
        text-align: center;
        border: 1px solid #111111;
        border-radius: 2px;
        cursor: pointer;
        position: absolute;
        right: 15px;
        top: 25px;
    }
    .offcanvas-menu-overlay {
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        background: rgba(0, 0, 0, 0.7);
        content: "";
        z-index: 98;
        -webkit-transition: all, 0.5s;
        -o-transition: all, 0.5s;
        transition: all, 0.5s;
        visibility: hidden;
    }
    .offcanvas-menu-overlay.active {
        visibility: visible;
    }
    .offcanvas-menu-wrapper {
        position: fixed;
        left: -300px;
        width: 300px;
        height: 100%;
        background: #ffffff;
        padding: 50px 20px 30px 30px;
        display: block;
        z-index: 99;
        overflow-y: auto;
        -webkit-transition: all, 0.5s;
        -o-transition: all, 0.5s;
        transition: all, 0.5s;
        opacity: 0;
    }
    .offcanvas-menu-wrapper.active {
        opacity: 1;
        left: 0;
    }
    .offcanvas__menu {
        display: none;
    }
    .slicknav_btn {
        display: none;
    }
    .slicknav_menu {
        background: transparent;
        padding: 0;
        margin-bottom: 20px;
    }
    .slicknav_nav ul {
        margin: 0;
    }
    .slicknav_nav .slicknav_row,
    .slicknav_nav a {
        padding: 7px 0;
        margin: 0;
        color: #111111;
        font-weight: 600;
    }
    .slicknav_nav .slicknav_arrow {
        color: #111111;
    }
    .slicknav_nav .slicknav_row:hover {
        border-radius: 0;
        background: transparent;
        color: #111111;
    }
    .slicknav_nav a:hover {
        border-radius: 0;
        background: transparent;
        color: #111111;
    }
    .slicknav_nav {
        display: block !important;
    }
    .offcanvas__option {
        text-align: center;
        margin-bottom: 30px;
    }
    .offcanvas__links {
        display: inline-block;
        margin-right: 25px;
    }
    .offcanvas__links a {
        color: #111111;
        font-size: 13px;
        text-transform: uppercase;
        letter-spacing: 2px;
        margin-right: 16px;
        display: inline-block;
        font-weight: 600;
    }
    .offcanvas__links a:last-child {
        margin-right: 0;
    }
    .offcanvas__top__hover {
        display: inline-block;
        position: relative;
    }
    .offcanvas__top__hover:hover ul {
        top: 24px;
        opacity: 1;
        visibility: visible;
    }
    .offcanvas__top__hover span {
        color: #111111;
        font-size: 13px;
        text-transform: uppercase;
        letter-spacing: 2px;
        display: inline-block;
        cursor: pointer;
        font-weight: 600;
    }
    .offcanvas__top__hover span i {
        font-size: 20px;
        position: relative;
        top: 3px;
        right: 2px;
    }
    .offcanvas__top__hover ul {
        background: #111111;
        display: inline-block;
        padding: 2px 0;
        position: absolute;
        left: 0;
        top: 44px;
        opacity: 0;
        visibility: hidden;
        z-index: 3;
        -webkit-transition: all, 0.3s;
        -o-transition: all, 0.3s;
        transition: all, 0.3s;
    }
    .offcanvas__top__hover ul li {
        list-style: none;
        font-size: 13px;
        color: #ffffff;
        padding: 2px 15px;
        cursor: pointer;
    }
    .offcanvas__nav__option {
        text-align: center;
        margin-bottom: 25px;
    }
    .offcanvas__nav__option a {
        display: inline-block;
        margin-right: 26px;
        position: relative;
    }
    .offcanvas__nav__option a span {
        color: #0d0d0d;
        font-size: 11px;
        position: absolute;
        left: 5px;
        top: 8px;
    }
    .offcanvas__nav__option a:last-child {
        margin-right: 0;
    }
    .offcanvas__nav__option .price {
        font-size: 15px;
        color: #111111;
        font-weight: 700;
        display: inline-block;
        margin-left: -20px;
        position: relative;
        top: 3px;
    }
    .offcanvas__text p {
        color: #111111;
        margin-bottom: 0;
    }
    .header__top {
        display: none;
    }
    .header .container {
        position: relative;
    }
    .header__menu {
        display: none;
    }
    .header__nav__option {
        display: none;
    }
    .search-model-form input {
        width: 100%;
        font-size: 24px;
    }
    .hero__slider.owl-carousel .owl-nav button {
        left: 15px;
        top: 80%;
    }
    .hero__slider.owl-carousel .owl-nav button.owl-next {
        left: 75px;
        right: 0;
    }
    .banner__item.banner__item--middle {
        margin-top: 0;
    }
    .banner__item.banner__item--last {
        margin-top: 0;
    }
    .banner__item {
        margin-bottom: 40px;
    }
    .banner {
        padding-bottom: 60px;
    }
    .banner__item__pic {
        float: none;
    }
    .banner__item__pic img {
        min-width: 100%;
    }
    .banner__item__text {
        max-width: 100%;
        position: relative;
        top: 0;
        padding-top: 22px;
    }
    .filter__controls li {
        margin-right: 15px;
    }
    .categories__text {
        margin-bottom: 40px;
    }
    .categories__hot__deal {
        margin-bottom: 40px;
    }
    .instagram__text {
        padding-top: 70px;
    }
    .instagram__pic__item {
        width: 50%;
    }
    .shop__product__option__right {
        text-align: left;
        padding-top: 20px;
    }
    .shop__sidebar {
        padding-right: 0;
        margin-bottom: 40px;
    }
    .testimonial__text {
        padding: 100px 40px 100px;
    }
    .product__details__breadcrumb {
        text-align: left;
    }
    .product__details__pic .nav-tabs {
        width: auto;
        margin-bottom: 40px;
    }
    .product__details__pic .nav-tabs .nav-item {
        margin-bottom: 0;
        margin-right: 10px;
    }
    .product__details__option__size {
        display: block;
        margin-right: 0;
        margin-bottom: 25px;
    }
    .product__details__last__option h5:before {
        width: 440px;
    }
    .product__details__tab .nav-tabs .nav-item {
        margin-bottom: 15px;
    }
    .shopping__cart__table {
        overflow-y: auto;
    }
    .shopping__cart__table
        table
        tbody
        tr
        td.product__cart__item
        .product__cart__item__pic {
        float: none;
        margin-right: 0;
    }
    .continue__btn {
        text-align: center;
    }
    .continue__btn.update__btn {
        text-align: center;
        margin-top: 20px;
    }
    .cart__discount {
        margin-top: 40px;
    }
    .checkout__order {
        margin-top: 20px;
    }
    .blog__details__share {
        position: relative;
        left: 0;
        margin-bottom: 18px;
    }
    .blog__details__share span {
        margin-bottom: 14px;
        margin-right: 0;
    }
    .blog__details__share ul li {
        margin-bottom: 15px;
        display: inline-block;
        margin-right: 10px;
    }
    .blog__details__share ul li:last-child {
        margin-right: 0;
    }
    .blog__details__author {
        text-align: center;
        margin-bottom: 20px;
    }
    .blog__details__tags {
        text-align: center;
    }
    .contact__text {
        margin-bottom: 40px;
    }
    .hero__social {
        margin-top: 180px;
    }
}

/* Small Device = 320px */

@media only screen and (max-width: 479px) {
    .desktop-header {
        display: none;
    }
    .top-bar-text {
        display: none;
    }
    .btn-heart {
        display: none;
    }
    main {
        padding-top: 120px;
    }
    .primary-btn {
        font-size: 10px;
        padding: 8px 25px;
    }
    .secondary-btn {
        font-size: 10px;
        padding: 8px 10px;
    }
    .site-btn {
        font-size: 10px;
        padding: 8px 25px;
    }
    h2 {
        font-size: 20px;
    }
    h5 {
        font-size: 15px;
    }
    p {
        font-size: 12px;
    }
    /* Home */
    .hero__text h2 {
        font-size: 15px;
        margin-bottom: 15px;
    }
    .hero__text p {
        display: none;
    }
    .hero__slider.owl-carousel .owl-nav button {
        display: none;
    }
    .hero__slider.owl-carousel .owl-nav button.owl-next {
        display: none;
    }
    .slide {
        padding: 30px 10px;
    }
    .category-container {
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
        margin: 50px 0px;
    }
    .category-card {
        height: 100px;
    }
    .category-card h3 {
        font-size: 16px;
    }
    .category-card p {
        font-size: 12px;
    }
    .offers {
        margin: 50px 0px;
    }
    .offer-container {
        margin-top: 25px;
    }
    .offer-card {
        padding: 25px 25px;
    }
    .product h2 {
        margin-bottom: 15px;
    }
    .product__item {
        padding: 10px;
    }
    .product__item__pic {
        width: 50%;
        height: 100px;
    }
    .product__item__text {
        padding-top: 10px;
    }
    .product__filter {
        --bs-gutter-x: 15px; /* reduce horizontal gap */
        --bs-gutter-y: 15px; /* reduce vertical gap */
    }
    .product__filter .mb-4 {
        margin-bottom: 0px !important;
    }
    .featured-row {
        flex-direction: column;
        align-items: start;
    }
    .filter__controls {
        margin-bottom: 10px;
    }
    .filter__controls li {
        font-size: 10px;
        margin-right: 0px;
        padding: 6px 8px;
    }
    .spad {
        padding-top: 50px;
        padding-bottom: 50px;
    }
    .bundle-product__item__text h5 {
        font-size: 20px;
        margin-bottom: 20px;
    }
    /* Shop */
    .shop-filter {
        display: none;
    }
    /* About */
    .about {
        margin: 50px 0px;
    }
    .about-list {
        display: none;
    }
    /* Contact */
    .contact {
        margin: 50px 0px;
    }
    .contact-card {
        padding: 50px 25px;
    }
    .contact-form {
        padding: 25px;
    }
    /* Blog */
    .blog {
        margin: 50px 0px;
    }
    /* Blog Details */
    .blog-details {
        margin: 50px 0px;
    }
    /* Product */
    .product__details__tab {
        padding-top: 50px;
    }
    /* Checkout */
    .checkout {
        margin: 50px 0px;
    }
    /* Account */
    .account {
        margin: 50px 0px;
    }
    .form-control {
        color: #a6a6a6;
        font-size: 14px;
        background-color: #f8f8f8;
        border: 1px solid #9a9a9a;
        padding: 7px 15px;
    }
    .order-info {
        flex-direction: column;
        align-items: center;
    }
    /* CTA */
    .cta-card {
        padding: 15px 15px;
    }
    .cta-card h2 {
        font-size: 20px;
    }
    .cta-card.cta-card--first p {
        font-size: 12px;
        margin-bottom: 0px;
    }
    .cta-card.cta-card--second p {
        font-size: 12px;
        margin-bottom: 0px;
    }
    .question-link {
        font-size: 12px;
    }
    .cta-button {
        margin-top: 0px;
        font-size: 12px;
        padding: 5px 10px;
    }
    .cta-card svg {
        width: 15px;
        height: 15px;
    }
    .cta-card--second {
        flex-direction: column;
        gap: 10px;
    }
    .cta-col-3 {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .cta-col-4 {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    /* sign */
    .sign-form {
        padding: 3rem 2rem;
    }
    .sign-logo {
        width: 75px;
    }
    .promo-section {
        display: none;
    }
    /* 404 */
    .error-section {
        margin: 50px 0;
    }
    .error-code {
        font-size: 6rem;
    }
    /* Footer */
    .footer .input-group .form-control {
        font-size: 12px;
    }
    .footer .input-group .btn {
        font-size: 12px;
    }
}
